# Dimensions

## Methods

#### # (inner) height(?height) → {jLight|number}

Gets or sets the height of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`height` | number | <optional> | The height to supply to the function

Source:
  - index.js, line 3256
Tutorials:
  - height

Returns:
jLight collection or the height

Type
  jLight | number

#### # (inner) innerHeight() → {number}

Gets the inner height of the collections elements.

Source:
  - index.js, line 3274
Tutorials:
  - innerHeight

Returns:
The dimension value

Type
  number

#### # (inner) innerWidth() → {number}

Gets the inner width of the collections elements.

Source:
  - index.js, line 3265
Tutorials:
  - innerWidth

Returns:
The dimension value

Type
  number

#### # (inner) offset(?value, ?relativeToViewport) → {jLight|Object}

Gets or sets the collections elements offset.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`value` | boolean | Object | <optional> | The value to set the elements offset to or if the returned offset should be relative to the viewport
`relativeToViewport` | boolean | <optional> | Whether the offset should be set relative to the viewport (default: false)

Source:
  - index.js, line 3346
Tutorials:
  - offset

Returns:
jLight collection or elements offset

Type
  jLight | Object

#### # (inner) outerHeight(?includeMargins) → {number}

Gets the outer height of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`includeMargins` | boolean | <optional> | Whether to include the elements margins (default: false)

Source:
  - index.js, line 3294
Tutorials:
  - outerHeight

Returns:
The dimension value

Type
  number

#### # (inner) outerWidth(?includeMargins) → {number}

Gets the outer width of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`includeMargins` | boolean | <optional> | Whether to include the elements margins (default: false)

Source:
  - index.js, line 3284
Tutorials:
  - outerWidth

Returns:
The dimension value

Type
  number

#### # (inner) scrollHeight() → {number}

Gets the scroll height of the collections elements.

Source:
  - index.js, line 3312
Tutorials:
  - scrollHeight

Returns:
The dimension value

Type
  number

#### # (inner) scrollLeft(?value) → {jLight|number}

Gets or sets the scrollLeft of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`value` | number | <optional> | The value to supply to the function

Source:
  - index.js, line 3332
Tutorials:
  - scrollLeft

Returns:
jLight collection or the value

Type
  jLight | number

#### # (inner) scrollTop(?value) → {jLight|number}

Gets or sets the scrollTop of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`value` | number | <optional> | The value to supply to the function

Source:
  - index.js, line 3322
Tutorials:
  - scrollTop

Returns:
jLight collection or the value

Type
  jLight | number

#### # (inner) scrollWidth() → {number}

Gets the scroll width of the collections elements.

Source:
  - index.js, line 3303
Tutorials:
  - scrollWidth

Returns:
The dimension value

Type
  number

#### # (inner) width(?width) → {jLight|number}

Gets or sets the width of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`width` | number | <optional> | The width to supply to the function

Source:
  - index.js, line 3246
Tutorials:
  - width

Returns:
jLight collection or the width

Type
  jLight | number